Get organization’s compliance settings, including carrier name, office address, and DOT number
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read ELD Compliance Settings (US) under the Compliance category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/fleet/settings/compliance \
--header 'Authorization: Bearer <token>'{
"data": {
"allowUnregulatedVehiclesEnabled": false,
"canadaHosEnabled": false,
"carrierName": "ABC Trucking",
"dotNumber": 12345678,
"driverAutoDutyEnabled": true,
"editCertifiedLogsEnabled": true,
"forceManualLocationForDutyStatusChangesEnabled": true,
"forceReviewUnassignedHosEnabled": true,
"mainOfficeFormattedAddress": "123 Main Street",
"persistentDutyStatusEnabled": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OK response.
Information set here will be displayed in roadside inspections and in the transferred US DOT datafile.
Show child attributes
curl --request GET \
--url https://api.samsara.com/fleet/settings/compliance \
--header 'Authorization: Bearer <token>'{
"data": {
"allowUnregulatedVehiclesEnabled": false,
"canadaHosEnabled": false,
"carrierName": "ABC Trucking",
"dotNumber": 12345678,
"driverAutoDutyEnabled": true,
"editCertifiedLogsEnabled": true,
"forceManualLocationForDutyStatusChangesEnabled": true,
"forceReviewUnassignedHosEnabled": true,
"mainOfficeFormattedAddress": "123 Main Street",
"persistentDutyStatusEnabled": true
}
}